Python error when switching to a new project file.
Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version:2.4.0 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 19287

Description

When I close an existing project and open a new one I get an error that appears to be connected to the layer combinations plugin. I also

tried updating the layer combinations plugin to the most recent version but I still get the error.

An error has occured while executing Python code:

Traceback (most recent call last):

  File "C:/Users/james.harvey/.qgis2/python/plugins\\layerCombinations\\LcManager.py", line 83, in loadCombinations

    self.combinationsListChanged.emit( self._loadActive() )

  File "C:/Users/james.harvey/.qgis2/python/plugins\\layerCombinations\\LcManager.py", line 344, in _loadActive

    return QgsProject.instance().readEntry('LayerCombinations','Active')[0]

AttributeError: 'NoneType' object has no attribute 'instance'

Python version:

2.7.5 (default, May 15 2013, 22:44:16) [MSC v.1500 64 bit (AMD64)]

QGIS version:

2.5.0-Master Master, 57dcfca

History

#1 - 2014-07-24 02:59 AM - Giovanni Manghi

- Resolution set to invalid

- Status changed from Open to Closed

this is an error of the

layerCombinations

3rd party plugin. Please report the issue to the author of the plugin.

#2 - 2014-07-26 08:29 PM - James Harvey

The information from my error has been posted to the developer.
